For the complete documentation index, see llms.txt. This page is also available as Markdown.

createCard

Perform various create operations on card records.

Symitar eDocs References: Coming soon.

Operations

createCard

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
CardLocatorintegerOptional
post/createCard
POST /nexum/627/2022.01/account/createCard HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardCreatableFields": {
    "Type": 10,
    "Number": "4111111111111299",
    "Suffix": "99",
    "Status": 0,
    "IssueCode": 0,
    "EffectiveDate": "2026-06-29",
    "ExpirationDate": "2028-06-30",
    "Description": "NEXUM W4 CARD"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardLocator": 18,
  "MessageId": "createCard"
}

createCardAccess

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
CardAccessLocatorintegerOptional
post/createCardAccess
POST /nexum/627/2022.01/account/createCardAccess HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardAccessCreatableFields": {
    "AccessType": 0,
    "AccountNumber": "0000017369",
    "Id": "0100",
    "IdType": 0,
    "EnableInquiry": 1,
    "EnableWithdrawal": 1,
    "EnableDeposit": 1
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardAccessLocator": 20,
  "MessageId": "createCardAccess"
}

createCardName

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
CardNameLocatorintegerOptional
post/createCardName
POST /nexum/627/2022.01/account/createCardName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNameCreatableFields": {
    "First": "NEXUM",
    "Last": "CARD",
    "Ssn": "999990110",
    "Street": "1 TEST WAY",
    "City": "TEST",
    "State": "TX",
    "ZipCode": "75001"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardNameLocator": 21,
  "MessageId": "createCardName"
}

createCardNote

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
CardNoteLocatorintegerOptional
post/createCardNote
POST /nexum/627/2022.01/account/createCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 269

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017369",
  "CardLocator": 18,
  "CardNoteCreatableFields": {
    "Code": 0,
    "Text": [
      {
        "EntryId": 1,
        "Text": "NEXUM W4 CARD NOTE"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CardNoteLocator": 19,
  "MessageId": "createCardNote"
}

Last updated

Was this helpful?